/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-22
 * 描述            ：发票信息表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Settlement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Settlement.mapper.PurBalanceFMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_BALANCE_F", namespace=PurBalanceFMapper.class)
public class PurBalanceF extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 2122931315733087229L;
	/** 
	 * 票据号KEY值(FPYYYYMMDD+3位流水)
	 */ 
	@Id
	private String bills_key;
	public String getBills_key() {
		return this.bills_key;
	}
	public void setBills_key(String bills_key) {
		this.bills_key = bills_key;
	}

	/** 
	 * 票据号码集合(XXXX-KKKK或者多发票号用逗号分隔)
	 */ 
	@Column
	private String bills_nos;
	public String getBills_nos() {
		return this.bills_nos;
	}
	public void setBills_nos(String bills_nos) {
		this.bills_nos = bills_nos;
	}

	/** 
	 * 票据代码集合(XXXX-KKKK或者多发票代码用逗号分隔)
	 */ 
	@Column
	private String bills_codes;
	public String getBills_codes() {
		return this.bills_codes;
	}
	public void setBills_codes(String bills_codes) {
		this.bills_codes = bills_codes;
	}

	/** 
	 * 票据票面税号集合(XXXX-KKKK或者多发票税号用逗号分隔)
	 */ 
	@Column
	private String bills_tax_codes;
	public String getBills_tax_codes() {
		return this.bills_tax_codes;
	}
	public void setBills_tax_codes(String bills_tax_codes) {
		this.bills_tax_codes = bills_tax_codes;
	}

	/** 
	 * 票据种类代码(6033)
	 */ 
	@Column
	private String bills_type_code;
	public String getBills_type_code() {
		return this.bills_type_code;
	}
	public void setBills_type_code(String bills_type_code) {
		this.bills_type_code = bills_type_code;
	}

	/** 
	 * 票据种类名称
	 */ 
	@Column
	private String bills_type_name;
	public String getBills_type_name() {
		return this.bills_type_name;
	}
	public void setBills_type_name(String bills_type_name) {
		this.bills_type_name = bills_type_name;
	}

	/** 
	 * 票据款项用途代码(6034)
	 */ 
	@Column
	private String bills_purpose_code;
	public String getBills_purpose_code() {
		return this.bills_purpose_code;
	}
	public void setBills_purpose_code(String bills_purpose_code) {
		this.bills_purpose_code = bills_purpose_code;
	}

	/** 
	 * 票据款项用途名称
	 */ 
	@Column
	private String bills_purpose_name;
	public String getBills_purpose_name() {
		return this.bills_purpose_name;
	}
	public void setBills_purpose_name(String bills_purpose_name) {
		this.bills_purpose_name = bills_purpose_name;
	}

	/** 
	 * 票据税率
	 */ 
	@Column
	private String bills_tax_rate_val;
	public String getBills_tax_rate_val() {
		return this.bills_tax_rate_val;
	}
	public void setBills_tax_rate_val(String bills_tax_rate_val) {
		this.bills_tax_rate_val = bills_tax_rate_val;
	}

	/** 
	 * 票据不含税金额
	 */ 
	@Column
	private Double bills_without_tax_amt;
	public Double getBills_without_tax_amt() {
		return this.bills_without_tax_amt;
	}
	public void setBills_without_tax_amt(Double bills_without_tax_amt) {
		this.bills_without_tax_amt = bills_without_tax_amt;
	}

	/** 
	 * 票据总金额
	 */ 
	@Column
	private Double bills_with_tax_amt;
	public Double getBills_with_tax_amt() {
		return this.bills_with_tax_amt;
	}
	public void setBills_with_tax_amt(Double bills_with_tax_amt) {
		this.bills_with_tax_amt = bills_with_tax_amt;
	}

	/** 
	 * 票据税额
	 */ 
	@Column
	private Double bills_tax_amt;
	public Double getBills_tax_amt() {
		return this.bills_tax_amt;
	}
	public void setBills_tax_amt(Double bills_tax_amt) {
		this.bills_tax_amt = bills_tax_amt;
	}

	/** 
	 * 开票日期(YYYY-MM-DD)
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date bills_open_date;
	public Date getBills_open_date() {
		return this.bills_open_date;
	}
	public void setBills_open_date(Date bills_open_date) {
		this.bills_open_date = bills_open_date;
	}

	/** 
	 * 票据委托人
	 */ 
	@Column
	private String bills_entrust_name;	

	public String getBills_entrust_name() {
		return bills_entrust_name;
	}
	public void setBills_entrust_name(String bills_entrust_name) {
		this.bills_entrust_name = bills_entrust_name;
	}
	
	/** 
	 * 票据签收日期(YYYY-MM-DD)
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date bills_entrust_date;

	public Date getBills_entrust_date() {
		return bills_entrust_date;
	}
	public void setBills_entrust_date(Date bills_entrust_date) {
		this.bills_entrust_date = bills_entrust_date;
	}

	/** 
	 * 票据签收人
	 */ 
	@Column
	private String bills_confirm_name;
	public String getBills_confirm_name() {
		return this.bills_confirm_name;
	}
	public void setBills_confirm_name(String bills_confirm_name) {
		this.bills_confirm_name = bills_confirm_name;
	}

	/** 
	 * 签收日期(YYYY-MM-DD)
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date bills_confirm_date;
	public Date getBills_confirm_date() {
		return this.bills_confirm_date;
	}
	public void setBills_confirm_date(Date bills_confirm_date) {
		this.bills_confirm_date = bills_confirm_date;
	}

	/** 
	 * 开票方代码(与供应商代码共用)
	 */ 
	@Column
	private String bills_supp_code;
	public String getBills_supp_code() {
		return this.bills_supp_code;
	}
	public void setBills_supp_code(String bills_supp_code) {
		this.bills_supp_code = bills_supp_code;
	}

	/** 
	 * 开票方名称
	 */ 
	@Column
	private String bills_supp_name;
	public String getBills_supp_name() {
		return this.bills_supp_name;
	}
	public void setBills_supp_name(String bills_supp_name) {
		this.bills_supp_name = bills_supp_name;
	}

	/** 
	 * 票据扫描件文件路径
	 */ 
	@Column
	private String bills_path;
	public String getBills_path() {
		return this.bills_path;
	}
	public void setBills_path(String bills_path) {
		this.bills_path = bills_path;
	}

	/** 
	 * 公司代码
	 */ 
	@Column
	private String company_code;
	public String getCompany_code() {
		return this.company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}

	/** 
	 * 公司名称
	 */ 
	@Column
	private String company_name;
	public String getCompany_name() {
		return this.company_name;
	}
	public void setCompany_name(String company_name) {
		this.company_name = company_name;
	}

	/** 
	 * 管理部门代码
	 */ 
	@Column
	private String dept_code;
	public String getDept_code() {
		return this.dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	/** 
	 * 管理部门描叙
	 */ 
	@Column
	private String dept_desc;
	public String getDept_desc() {
		return this.dept_desc;
	}
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	/** 
	 * 管理科室代码
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 管理科室描叙
	 */ 
	@Column
	private String unit_desc;
	public String getUnit_desc() {
		return this.unit_desc;
	}
	public void setUnit_desc(String unit_desc) {
		this.unit_desc = unit_desc;
	}

	/** 
	 * 业务年月(YYYYMM)(数据生成时默认写入当前日期对应的年月)
	 */ 
	@Column
	private String bal_year_month;
	public String getBal_year_month() {
		return this.bal_year_month;
	}
	public void setBal_year_month(String bal_year_month) {
		this.bal_year_month = bal_year_month;
	}

	/** 
	 * 归档标志(1归档、0未归档)
	 */ 
	@Column
	private String archive_flag;
	public String getArchive_flag() {
		return this.archive_flag;
	}
	public void setArchive_flag(String archive_flag) {
		this.archive_flag = archive_flag;
	}

	/** 
	 * 归档编号(GD+YYYYYMMDD+3位流水号)
	 */ 
	@Column
	private String arch_stamp_no;
	public String getArch_stamp_no() {
		return this.arch_stamp_no;
	}
	public void setArch_stamp_no(String arch_stamp_no) {
		this.arch_stamp_no = arch_stamp_no;
	}

	/** 
	 * 归档日期(YYYYMMDD)
	 */ 
	@Column
	private String arch_date;
	public String getArch_date() {
		return this.arch_date;
	}
	public void setArch_date(String arch_date) {
		this.arch_date = arch_date;
	}

	/** 
	 * 数据状态（00无效10未挂帐20已挂帐）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	
	/**
	 * 合同号
	 */
	@Column
	private String contract_no;
	
	/**
	 * 重量
	 */
	@Column
	private Double weight;
	
	/**
	 * 金额
	 */
	@Column
	private Double amt;
	
	/**
	 * 运费
	 */
	@Column
	private Double water_price;
	
	/**
	 * 水运重量
	 */
	@Column
	private Double water_weight;
	
	/**
	 * 水运金额
	 */
	@Column
	private Double water_amt;
	public String getContract_no() {
		return contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}
	public Double getWeight() {
		return weight;
	}
	public void setWeight(Double weight) {
		this.weight = weight;
	}
	public Double getAmt() {
		return amt;
	}
	public void setAmt(Double amt) {
		this.amt = amt;
	}
	public Double getWater_price() {
		return water_price;
	}
	public void setWater_price(Double water_price) {
		this.water_price = water_price;
	}
	public Double getWater_weight() {
		return water_weight;
	}
	public void setWater_weight(Double water_weight) {
		this.water_weight = water_weight;
	}
	public Double getWater_amt() {
		return water_amt;
	}
	public void setWater_amt(Double water_amt) {
		this.water_amt = water_amt;
	}

}
